#!/bin/bash

# record script to capture KPIG Stream

if [ $# -lt 1 ] ; then 
   echo "usage: record_kpig <minutes>"
   exit 1
fi

URL="mms://mapleton.securewmlive.internapcdn.net/live_secure_mapleton_vitalstream_com_KPIGFM2?token=D9F1726D-1517-9CCB-5160-50332B499CE7"

CAP_MIN=$1                        # how many minutes to record
CAP_SEC=$(( CAP_MIN*=60 ))
TO=$CAP_SEC                       # time out to kill mplayer
NOW=`date +"%Y%m%d%H%M%S" `

# Topic?
if [ $# -gt 1 ] ; then 
      TPC=$2
      SAVE="/home/jackc/Music/audio/record/lib/KPIG_$NOW"
      SAVE+="_$TPC";
      SAVE+=".wav";
   else
      SAVE="/home/jackc/Music/audio/record/lib/KPIG_$NOW.wav"
fi

# files 
OUT="/home/jackc/Music/audio/record/lib/stream.dump"

# debug, report time to record
#echo "args=$#"
#echo "arg1=$1"
#echo "capture=$CAP_MIN"
#echo "timeout=$TO"
#echo "SAVE=$SAVE"

cd ~/Music/audio/record/lib/

# spawn mplayer to record to file
echo "Recording Begins..."
nohup mplayer -dumpstream $URL & 
# get new proc pid
PID=$!
EXT=$?
if [ $EXT = "0" ] ; then
      echo "record_kpig running as pid=$PID Exit=$EXT"
   else
      echo "record_kpig died as pid=$PID Exit=$EXT"
      exit 1
fi

echo "Recording for $CAP_MIN"
sleep $TO

#echo "wakeup!!!!"
# kill $PID after timeout
#echo "kill -1 $PID"
kill -1 $PID >/dev/null 2>&1
#echo "kill -9 $PID"
kill -9 $PID >/dev/null 2>&1

echo "Recording Done..."

# translate capture file
echo "looking for $OUT"
if [ -f $OUT ] ; then
   mv $OUT $SAVE
else 
   echo "No Dumpfile!!"
   exit 1
fi

# cleanup work stuff
echo "KPIG Stream recording is Ready in $SAVE"
